;Filename: PsmCmp.s
;Part: ADuC702x.
;Created: 22/11/2004
;Updated: 28/06/2005
;Author: Barry Broderick
;This file is in beta sampling.

#include        <ADuC702x.IAR.equ>

; PsmCmp==========PsmCmp is used to read the value of the Comparator bit in PSMCON
; C Function prototype: int PsmCmp(void);
; User Interface:
;  call PsmCmp.
;  Returns value of CMP, bit 3 of PSMCON
;     1: IOVdd supply is above selected trip point
;     0: IOVdd supply is below selected trip point
; Robustness:
; Side Effects:


                RSEG CODE
                MODULE PsmCmp
                PUBLIC PsmCmp
                CODE32

PsmCmp:  mov   r3,#0xff0000      ;r3 = Z_BASE
         orr   r3,r3,#0xff000000

         ldr   r0,[r3,#Z_PSMCON] ;Read CON;
         mov   r0,r0,LSR#3       ;Shift r0 right by 3 bits
         bx    lr


                 ENDMOD  PsmCmp

                 END
        
